<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

session_start();
$file = "adm_editsec";
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


function fcm_bool2chk ($cm_BoolVar) {
  if ($cm_BoolVar) {
    return ("CHECKED");
  }
  else {
    return ("");
  }
}


if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  echo "<p class=\"titletext\">{$cm_text["rtsec-welcomert"]}</p>";
  echo "<p class=\"generaltext\">{$cm_text["rtsec-welcomert2"]} {$cm_text["rtsec-impossibleops"]}</p>";
  if ($cm_restore_sec) {
    fcm_load_defsec ($cm_security);
    echo "<p class=\"generaltext\">{$cm_text["rtsec-rtsec_restored"]}</p>";
  }
  elseif ($cm_save_sec) {
    for ($cm_csop = 1; $cm_csop <= 5; $cm_csop++)  {
      for ($cm_csob = 1; $cm_csob <= 2; $cm_csob++)  {
        for ($cm_csro = 1; $cm_csro <= 6; $cm_csro++)  {
          eval ("\$cm_security[\$cm_csop][\$cm_csob][\$cm_csro] = \$cm_sec_" . $cm_csob . "_" . $cm_csop . "_" . $cm_csro . ";");
        }
      }
    }
    fcm_save_secdb ($cm_security);
    $cm_rtsec_tot = fcm_load_secdb ($cm_security);
    echo "<p titletext\"cms\">{$cm_text["rtsec-rtsec_saved"]}</p>";
    if ($cm_rtsec_tot == 0) {
      echo "<p class=\"generaltext\">{$cm_text["rtsec-rtsec_restored"]}</p>";
    }
  }
  else {
    $cm_rtsec_tot = fcm_load_secdb ($cm_security);
    echo "<p class=\"titletext\">{$cm_text["rtsec-current_rtsec"]}</p>";
    if ($cm_rtsec_tot == 0) {
      echo "<p class=\"generaltext\">{$cm_text["rtsec-rtsec_restored"]}</p>";
    }
  }

if ($groups) { 
  $cm_ngsec_color = "#EEEEEE";
} 
else { 
  $cm_ngsec_color = "#FFCCCC";
}

echo "<form class=\"cms\" action=\"adm_editsec.php\" method=\"post\">";
echo "<input type=\"hidden\" name=\"cmru\" value=\"$cmru\">";
echo "<table border=\"0\" cellspacing=\"2\" cellpadding=\"5\" bgcolor=\"#FFFFFF\">";
echo "<tr>";
echo "	<td class=\"sec1header\" colspan=\"6\" bgcolor=\"#99CC99\" align=\"center\">{$cm_text["rtsec-inrootdir"]}</td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" align=\"center\">{$cm_text["rtsec-ifuseris"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-cancreate"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-candelete"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-candisplay"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-canedit"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-canpost"]}</td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#9999FF\" align=\"right\">{$cm_text["rtsec-isuperuser"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_1_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_2_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_4_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_3_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_5_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_SUPERUSER]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#AAAAFF\" align=\"right\">{$cm_text["rtsec-isowner"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_1_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_2_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_4_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_3_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_5_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_USEROWNER]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#BBBBFF\" align=\"right\">{$cm_text["rtsec-isadmingroup"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_1_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_2_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_4_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_3_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_5_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_ADMINGROU]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"right\">{$cm_text["rtsec-isingroup"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_1_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_2_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_4_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_3_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_5_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_USERGROUP]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#DDDDFF\" align=\"right\">{$cm_text["rtsec-isadmin"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_1_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_2_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_4_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_3_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_5_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_ADMINUSER]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#DDDDFF\" align=\"right\">{$cm_text["rtsec-default"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_1_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_ROOT][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_2_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_ROOT][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_4_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_ROOT][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_3_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_ROOT][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#FFCCCC\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_1_5_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_ROOT][CM_SEC_DEFAULTUS]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" colspan=\"6\" bgcolor=\"#99CC99\" align=\"center\">{$cm_text["rtsec-inanysdir"]}</td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" align=\"center\">{$cm_text["rtsec-ifuseris"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-cancreate"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-candelete"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-candisplay"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-canedit"]}</td>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"center\" width=\"15%\">{$cm_text["rtsec-canpost"]}</td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#9999FF\" align=\"right\">{$cm_text["rtsec-isuperuser"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_1_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_2_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_4_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_3_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_SUPERUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_5_1\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_SUPERUSER]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#AAAAFF\" align=\"right\">{$cm_text["rtsec-isowner"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_1_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_2_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_4_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_3_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_USEROWNER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_5_5\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_USEROWNER]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#BBBBFF\" align=\"right\">{$cm_text["rtsec-isadmingroup"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_1_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_2_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_4_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_3_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_ADMINGROU]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_5_3\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_ADMINGROU]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#CCCCFF\" align=\"right\">{$cm_text["rtsec-isingroup"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_1_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_2_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_4_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_3_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_USERGROUP]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"$cm_ngsec_color\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_5_4\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_USERGROUP]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#DDDDFF\" align=\"right\">{$cm_text["rtsec-isadmin"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_1_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_2_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_4_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_3_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_ADMINUSER]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_5_2\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_ADMINUSER]) . "></td>";
echo "</tr>";
echo "<tr>";
echo "	<td class=\"sec1header\" bgcolor=\"#DDDDFF\" align=\"right\">{$cm_text["rtsec-default"]}</td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_1_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CREATE][CM_SEC_SDIR][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_2_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DELETE][CM_SEC_SDIR][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_4_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_DISPLA][CM_SEC_SDIR][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_3_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_CHANGE][CM_SEC_SDIR][CM_SEC_DEFAULTUS]) . "></td>";
echo "	<td class=\"sec1body\" bgcolor=\"#EEEEEE\" align=\"center\"><input class=\"cms\" type=\"checkbox\" name=\"cm_sec_2_5_6\" value=\"1\" " . fcm_bool2chk ($cm_security[CM_SEC_COMMEN][CM_SEC_SDIR][CM_SEC_DEFAULTUS]) . "></td>";
echo "</tr>";
echo "</table>";
echo "<br>";
echo "<input class=\"cms\" type=\"submit\" name=\"cm_save_sec\" value=\"{$cm_text["rtsec-savetable"]}\">";
echo "<input class=\"cms\" type=\"submit\" name=\"cm_restore_sec\" value=\"{$cm_text["rtsec-restoretable"]}\">";
echo "</form>";

}
else {
    echo "<p class=\"titletext\">{$cm_text["rtsec-welcomert"]}</p>";
    echo "<p class=\"generaltext\">{$cm_text["setup-currentuser"]} $user_kurz<br>";
    echo "{$cm_text["setup-superuseris"]} $cm_superuser</p>";
    echo "<p class=\"setuperror\">{$cm_text["rtsec-nosuperuserrt"]}</p>";
}

if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

echo $cm_html_footer;
?>



