<?php
// German markup help file for the Content Management System module for PHProjekt (CMS4P).
// Copyright 2004 by Christian Hartnick (cis@hartnick.de)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
$path_pre="../../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;

?>

<p>
Sie knnen kein HTML im Dokument benutzen!
Verwenden Sie stattdessen diese Variante von WikiMarkup.
</p>


<table width="100%" border="1" cellspacing="1" cellpadding="5">
<tr>
  <td><strong>Wenn Sie ... benutzen,</strong></td>
  <td><strong>erscheint folgendes.</strong></td>
  <td><strong>Zum Beispiel</strong></td>
</tr>
<tr>
  <td> _text_ <br>(Leerzeichen + Unterstrich vor und Unterstrich + Leerzeichen nach dem Text)</td>
  <td>hervorgehoben (kursiv)</td>
  <td> Das ist _kursiv_ <br>Das ist <em>kursiv</em></td>
</tr>
<tr>
  <td> *text* <br>(Leerzeichen + Stern vor und Stern + Leerzeichen nach dem Text)</td>
  <td>verstrkt (fett)</td>
  <td> Das ist *fett*<br>Das ist <strong>fett</strong>
  </td>
</tr>
<tr>
  <td> %text%  <br>(Leerzeichen + Prozentzeichen vor und Prozentzeichen + Leerzeichen nach dem Text)</td>
  <td>Textkasten</td>
  <td> %Dies ist ein Textkasten% <br><DIV class="boxedpara">Dies ist ein Textkasten</DIV></td>
</tr>
<tr>
  <td>___<br>(Drei Unterstriche in einer Zeile + Text in den nchsten + drei Unterstriche in einer Zeile)<br>___</td>
  <td>Zeichen mit festen Abstand (vorformatiert)</td>
  <td>___<br>Dies ist vorformatiert<br>___<br>
  <PRE>Dies ist vorformatiert</PRE>
  </td>
</tr>
<tr>
  <td>[[url name]]<br>(Doppelte eckige Klammer + URL + Leerzeichen + URL-Titel + doppelte eckige Klammer)</td>
  <td>Externer Verweis (URL und optional dessen Titel)</td>
  <td>Portal [[http://www.yahoo.com/]]<br>
      Portal <a href="http://www.yahoo.com/">http://www.yahoo.com/</a><br>
      Portal [[http://www.yahoo.com/ Yahoo]]<br>
      Portal <a href="http://www.yahoo.com/">Yahoo</a><br>
  </td>
</tr>
<tr>
  <td>[[.dateiname name]]<br>(Doppelte eckige Klammer + Punkt + Dateiname + Leerzeichen + Titel + doppelte eckige Klammer)</td>
  <td>Verweis auf eine lokale Datei (URL und optional dessen Titel)</td>
  <td>Dokument [[.document.pdf]]<br>
      Dokument <a href="document.pdf">document.pdf</a><br>
      Dokument [[.document.pdf in PDF format]]<br>
      Dokument <a href="document.pdf">im PDF-Format</a><br>
  </td>
</tr>
<tr>
  <td>{{url name}}<br>(Doppelte geschweifte Klammer + URL + Leerzeichen + URL-Titel + doppelte geschweifte Klammer)</td>
  <td>Externer Verweis (URL und optional dessen Titel) in einem neuen Fenster</td>
  <td>Portal {{http://www.yahoo.com/}}<br>
      Portal <a href="http://www.yahoo.com/">http://www.yahoo.com/</a><br>
      Portal {{http://www.yahoo.com/ Yahoo}}<br>
      Portal <a href="http://www.yahoo.com/">Yahoo</a><br>
  </td>
</tr>
<tr>
  <td>{{.dateiname name}}<br>(Doppelte geschweifte Klammer + Punkt + Dateiname + Leerzeichen + Titel + doppelte geschweifte Klammer)</td>
  <td>Verweis auf eine lokale Datei (URL und optional dessen Titel) in einem neuen Fenster</td>
  <td>Dokument {{.document.pdf}}<br>
      Dokument <a href="document.pdf">document.pdf</a><br>
      Dokument {{.document.pdf in PDF format}}<br>
      Dokument <a href="document.pdf">im PDF-Format</a><br>
  </td>
</tr>
<tr>
  <td>((url name))<br>(Doppelte Klammer + URL + Leerzeichen + Titel + doppelte Klammer)</td>
  <td>Externe Grafik (URL und optional dessen alternativer Titel)</td>
  <td>Photo ((http://www.google.com/images/logo.gif))<br>
      Photo <img src="http://www.google.com/images/logo.gif" alt="" border="0"><br>
      Photo ((http://www.google.com/images/logo.gif Beispielbild))<br>
      Photo <img src="http://www.google.com/images/logo.gif" alt="Beispielbild" border="0"><br>
  </td>
</tr>
<tr>
  <td>((.dateiname name))<br>(Doppelte Klammer + Punkt + URL + Leerzeichen + Titel + doppelte Klammer)</td>
  <td>Lokale Grafik (Dateiname und optional dessen alternativer Titel)</td>
  <td>  Photo ((.example.jpg))<br>
        Photo <img src="example.jpg" alt="" border="0"><br>
        Photo ((.example.jpg Lokales Beispielbild))<br>
        Photo <img src="example.jpg" alt="Lokales Beispielbild" border="0"><br>
  </td>
</tr>
<tr>
  <td>#[<br>
	#- Listeneintrag text1.<br>
	#- Listeneintrag text2.<br>
	#- Listeneintrag textn.<br>
      #]<br>
      (Doppelkreuz + eckige Klammer auf, Doppelkreuz + Bindestrich, Doppelkreuz + eckige Klammer zu)</td>
  <td>Nummeriert Liste. Kann ineinander verschachtelt werden.</td>
  <td>#[<br>
	#- Suzanne.<br>
	#- Carlos.<br>
	#- Nanami.<br>
	#- Freunde:<br>
	#[<br>
	#- Vicky<br>
	#- Zariv<br>
	#- Arnulfo<br>
      #]<br>
      #]<br>
    <ol>
      <li>Suzanne
      <li>Carlos
      <li>Nanami
      <li>Freunde:
      <ol>
        <li>Vicky
        <li>Zariv
        <li>Arnulfo
      </ol>
   </ol>
  </td>
</tr>
<tr>
  <td>*[<br>
	*- Listeneintrag text1.<br>
	*- Listeneintrag text2.<br>
	*- Listeneintrag textn.<br>
      *]<br>
      (Stern + eckige Klammer auf, Stern + Bindestrich, Stern + eckige Klammer zu)</td>
  <td>Stichpunkteliste. Kann ineinander verschachtelt werden.</td>
  <td>*[<br>
	*- Suzanne.<br>
	*- Carlos.<br>
	*- Nanami.<br>
	*- Local friends:<br>
	*[<br>
	*- Vicky<br>
	*- Zariv<br>
	*- Arnulfo<br>
      *]<br>
      *]<br>
    <ul>
      <li>Suzanne
      <li>Carlos
      <li>Nanami
      <li>Freunde:
      <ul>
        <li>Vicky
        <li>Zariv
        <li>Arnulfo
      </ul>
   </ul>
  </td>
</tr>
<tr>
	<td>#SHORTINDEX#<br>
  (number sign plus SHORTINDEX plus number sign)
  </td>
	<td>index of descendant pages (list of available documents under this directory)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
  <td>#INDEX#<br>(Doppelkreuz + "INDEX" + Doppelkreuz)</td>
  <td>Verzeichnis (Index) der nachfolgenden (verfgbaren) Dokumente</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>#FILES#<br>(Doppelkreuz + "FILES" + Doppelkreuz)</td>
  <td>Verzeichnis der herunterladbaren Dateien im Verzeichnis</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>#ALBUM#<br>(Doppelkreuz + "ALBUM" + Doppelkreuz)</td>
  <td>Album der Grafiken (JPEG) im Verzeichnis</td>
  <td>&nbsp;</td>
</tr>
<tr>
  <td>= Title<br>(Gleichheitszeichen + Leerzeichen am Zeilenanfang + title)</td>
  <td>HTML-Header H1</td>
  <td>= Das ist ein Titel<br><h1>Das ist ein Titel</h1></td>
</tr>
<tr>
  <td>== Title<br>(Zwei Gleichheitszeichen + Leerzeichen am Zeilenanfang + title)</td>
  <td>HTML-Header H2</td>
  <td>== Das ist ein Titel<br><h2>Das ist ein Titel</h2></td>
</tr>
<tr>
  <td>=== Title<br>(Drei Gleichheitszeichen + Leerzeichen am Zeilenanfang + title)</td>
  <td>HTML-Header H3</td>
  <td>=== Das ist ein Titel<br><h3>Das ist ein Titel</h3></td>
</tr>
<tr>
  <td>==== Title<br>(Vier Gleichheitszeichen + Leerzeichen am Zeilenanfang + title)</td>
  <td>HTML-Header H4</td>
  <td>==== Das ist ein Titel<br><h4>Das ist ein Titel</h4></td>
</tr>
<tr>
  <td> :) <br>
    :P <br>
    :p <br>
    :( <br>
    :'( <br>
    :,( <br>
    =) <br>
    ;) <br>
    :O <br>
    :o <br>
    :D <br>
    :\ <br>
    :/ <br>
    :| <br>
    (Leerzeichen + Emoticon oder Smiley)</td>
  <td>Emotionelles oder Smiley-Symbol</td>
  <td> Ich bin glcklich... :)<br>Ich bin glcklich... <img src="face1.png" alt="" border="0"></td>
</tr>
</table>


<?php
echo $cm_html_footer;
?>

