<?php
// French markup help file for the Content Management System module for PHProjekt (CMS4P).
// Copyright 2003, 2004 by Alain J. Godbout (alain@gmgconseil.com)
// portions Copyright 2003 by Emile Simonnet (emile.simonnet@free.fr)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
$path_pre="../../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
echo $cm_html_header;

?>

<p>
Ne pas utiliser de HTML dans le corps de ce document.
Modifiez directement en utilisant cette variante de WiKi MarkUp.
</p>


<table width="100%" border="1" cellspacing="1" cellpadding="5">
<tr>
	<td><strong>J'utilise</strong>
  </td>
	<td><strong>J'obtiens</strong>
  </td>
	<td><strong>Exemple</strong>
  </td>
</tr>
<tr>
	<td> _texte_  <br>
  (espace plus soulignement et soulignement plus espace avant et apr&egrave;s le texte)
  </td>
	<td>italique (em)
  </td>
	<td> Ceux-ci sont en _italiques_ <br>
      Ceux-ci sont en <em>italiques</em>
  </td>
</tr>
<tr>
	<td> *texte*  <br>
  (espace plus ast&eacute;risque et ast&eacute;risque plus espace avant et apr&egrave;s le texte)
  </td>
	<td> gras (strong)
  </td>
	<td> Ceci est en *gras*<br>
      ceci est en <strong>gras</strong>
  </td>
</tr>
<tr>
	<td> %encadrage%  <br>
  (espace plus pourcentage et pourcentage plus espace avant et apr&egrave;s le texte)
  </td>
	<td>Teste encadr&eacute;
  </td>
	<td> %Ceci est encadr&eacute;% <br>
      <DIV class="boxedpara">ceci est encadr&eacute;</DIV>
  </td>
</tr>
<tr>
	<td>___  <br>
  (trois soulignements au d&eacute;but d'une ligne et &agrave; la fin d'une autre ligne)
  </td>
	<td>Largeur fixe du texte (PRE)
  </td>
	<td>___<br>
  Ceci est un texte pr&eacute;format&eacute;<br>
  ___<br>
  <PRE>Ceci est un texte pr&eacute;format&eacute;</PRE>
  </td>
</tr>
<tr>
	<td>[[url linkname]]  <br>
  (double crochet droit ouvert suivi de url et espace et d'un titre et double crochet droit ferm&eacute;)
  </td>
	<td>hyperlien ([[url avec titre]])
  </td>
	<td>
  Portail [[http://www.yahoo.com/]]<br>
  Portail <a href="http://www.yahoo.com/">http://www.yahoo.com/</a><br>
  Portail [[http://www.yahoo.com/ Yahoo]]<br>
  Portail <a href="http://www.yahoo.com/">Yahoo</a><br>
  </td>
</tr>
<tr>
	<td>[[.filename linkname]]  <br>
  (double crochet droit ouvert suivi du nom de fichier et espace et d'un titre et double crochet droit ferm&eacute;)
  </td>
	<td>lien sur un fichier local (fichier local, avec ou sans url)
  </td>
	<td>
  Document [[.document.pdf]]<br>
  Document <a href="document.pdf">document.pdf</a><br>
  Document [[.document.pdf au format PDF]]<br>
  Document <a href="document.pdf">au format PDF</a><br>
  </td>
</tr>
<tr>
	<td>{{url linkname}}  <br>
  (double accolade ouverte suivi de url plus espace plus titre plus double accolade ferm&eacute;e)
  </td>
	<td>lien externe dans nouvelle fen&ecirc;tre (url et titre optionnels)
  </td>
	<td>
  Portail {{http://www.yahoo.com/}}<br>
  Portail <a href="http://www.yahoo.com/" target="_blank">http://www.yahoo.com/</a><br>
  Portail {{http://www.yahoo.com/ Yahoo}}<br>
  Portail <a href="http://www.yahoo.com/" target="_blank">Yahoo</a><br>
  </td>
</tr>
<tr>
	<td>{{.filename linkname}}  <br>
  (double accolade ouverte suivi de nom de fichier plus espace plus titre plus double accolade ferm&eacute;e)
  </td>
	<td>lien sur un fichier dans une nouvelle fen&ecirc;tre (url et titre en option)
  </td>
	<td>
  Document {{.document.pdf}}<br>
  Document <a href="document.pdf" target="_blank">document.pdf</a><br>
  Document {{.document.pdf au format PDF}}<br>
  Document <a href="document.pdf" target="_blank">au format PDF</a><br>
  </td>
</tr>
<tr>
	<td>((url imagename))  <br>
  (double parenth&egrave;se plus url plus espace plus titre plus double parenth&egrave;se)
  </td>
	<td>image externe (url et valeur aternative en option)
  </td>
	<td>
  Photo ((http://www.google.com/images/logo.gif))<br>
  Photo <img src="http://www.google.com/images/logo.gif" alt="" border="0"><br>
  Photo ((http://www.google.com/images/logo.gif Exemple d'image))<br>
  Photo <img src="http://www.google.com/images/logo.gif" alt="Example image" border="0"><br>
  </td>
</tr>
<tr>
	<td>((.filename linkname))  <br>
  (double parenth&egrave;se plus point plus nom de fichier plus espace plus titre plus double parenth&egrave;se)
  </td>
	<td>image locale (nom de fichier et valeur alternative en option)
  </td>
	<td>
  Photo ((.example.jpg))<br>
  Photo <img src="example.jpg" alt="" border="0"><br>
  Photo ((.example.jpg Exemple d'image))<br>
  Photo <img src="example.jpg" alt="Exemple d'image" border="0"><br>
  </td>
</tr>
<tr>
	<td>#[<br>
	#- List item text1.<br>
	#- List item text2.<br>
	#- List item textn.<br>
  #]<br>
  (di&egrave;se plus crochet ouvrant, di&egrave;se plus tiret, di&egrave;se plus crochet fermant)
  </td>
	<td>Liste ordonn&eacute;e (liste num&eacute;rot&eacute;e). Peut &ecirc;tre ench&acirc;ss&eacute;e.
  </td>
	<td>#[<br>
	#- Suzanne.<br>
	#- Carlos.<br>
	#- Nanami.<br>
	#- Local friends:<br>
	#[<br>
	#- Vicky<br>
	#- Zariv<br>
	#- Arnulfo<br>
  #]<br>
  #]<br>
  <ol>
  <li>Suzanne
  <li>Carlos
  <li>Nanami
  <li>Local friends:
  <ol>
  <li>Vicky
  <li>Zariv
  <li>Arnulfo
  </ol>
  </ol>
  </td>
</tr>
<tr>
	<td>*[<br>
	*- List item text1.<br>
	*- List item text2.<br>
	*- List item textn.<br>
  *]<br>
  (ast&eacute;risque plus crochet ouvrant, ast&eacute;risque plus tiret, ast&eacute;risque plus crochet fermant)
  </td>
	<td>Liste sans num&eacute;ro (liste &agrave; puces). Peut &ecirc;tre ench&acirc;ss&eacute;e.
  </td>
	<td>*[<br>
	*- Suzanne.<br>
	*- Carlos.<br>
	*- Nanami.<br>
	*- Local friends:<br>
	*[<br>
	*- Vicky<br>
	*- Zariv<br>
	*- Arnulfo<br>
  *]<br>
  *]<br>
  <ul>
  <li>Suzanne
  <li>Carlos
  <li>Nanami
  <li>Local friends:
  <ul>
  <li>Vicky
  <li>Zariv
  <li>Arnulfo
  </ul>
  </ul>
  </td>
</tr>
<tr>
	<td>#SHORTINDEX#<br>
  (di&egrave;se plus SHORTINDEX plus di&egrave;se)
  </td>
	<td>index des pages (liste des documents disponibles dans ce r&eacute;pertoire)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#INDEX#<br>
  (di&egrave;se plus INDEX plus di&egrave;se)
  </td>
	<td>index des pages (liste des documents disponibles dans tous les r&eacute;pertoires situ&eacute;s en-dessous du r&eacute;pertoire actif)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#FILES#<br>
  (di&egrave;se plus FILES plus di&egrave;se)
  </td>
	<td>index de fichiers locaux (index de documents locaux t&eacute;l&eacute;chargeables)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>#ALBUM#<br>
  (di&egrave;se plus ALBUM plus di&egrave;se)
  </td>
	<td>Album d'images JPEG locales (avec g&eacute;n&eacute;ration d'images-puces ou miniatures)
  </td>
	<td>&nbsp;
  </td>
</tr>
<tr>
	<td>= <br>
  (signe &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Titre (H1)
  </td>
	<td>= Ceci est un titre<br>
      <h1>ceci est un titre</h1>
  </td>
</tr>
<tr>
	<td>== <br>
  (2 signes &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Section (H2)
  </td>
	<td>== ceci est un en-t&ecirc;te de section<br>
      <h2>ceci est un en-t&ecirc;te de section</h2>
  </td>
</tr>
<tr>
	<td>===
  (3 signes &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Paragraphe (H3)
  </td>
	<td>=== ceci est un en-t&ecirc;te de paragraphe<br>
      <h3>ceci est un en-t&ecirc;te de paragraphe</h3>
  </td>
</tr>
<tr>
	<td>====
  (4 signes &eacute;gal plus espace au d&eacute;but d'une ligne)
  </td>
	<td>Paragraphe (H4)
  </td>
	<td>==== ceci est un titre de niveau 4<br>
      <h4>ceci est un titre de niveau 4</h4>
  </td>
</tr>
<tr>
	<td> :)   <br>
  :P <br>
  :p <br>
  :( <br>
  :'( <br>
  :,( <br>
  =) <br>
  ;) <br>
  :O <br>
  :o <br>
  :D <br>
  :\ <br>
  :/ <br>
  :| <br>
  (espace plus emoticon/smiley)
  </td>
	<td>Emoticon/smiley/ic&ocirc;ne
  </td>
	<td> Je suis content... :)<br>
      Je suis content... <img src="face1.png" alt="" border="0">
  </td>
</tr>
</table>


<?php
echo $cm_html_footer;
?>