<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

//@session_cache_limiter('public');
session_start();
$file = "getfile";
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);

$cm_indexpath = $cm_mainroot . $cm_path . "/";
if (($cm_path) && ($cm_file)) {
  $result1 = db_query("select cmdb_title, cmdb_directory, cmdb_content, cmdb_abstract, cmdb_keywords, cmdb_author_user, cmdb_owner_user, cmdb_viewer_group, cmdb_date_creation, cmdb_date_update, cmdb_type from " . CM_DB_PREFIX . "content3 where cmdb_directory like '$cm_path' and cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by upper(cmdb_title)") or db_die();
  $row1 = db_fetch_row($result1);
  if ($row1[1]) {
    if (file_exists($cm_indexpath . $cm_file)) {
      if (fcm_check_constraints (CM_SEC_DISPLA, $user_kurz, $cm_path)) {
        $cm_fileext = (string) substr (strrchr (strtolower ($cm_file), "."), 1);
        if (array_key_exists ($cm_fileext, $cm_file_mimetype)) {
          $cm_mimetype = $cm_file_mimetype[$cm_fileext];
        }
        else {
          $cm_mimetype = $cm_file_mimetype["default"];
        }
        if (array_key_exists ($cm_fileext, $cm_file_inline)) {
          $cm_inline = $cm_file_inline[$cm_fileext];
        }
        else {
          $cm_inline = $cm_file_inline["default"];
        }
        if ($cm_s) {
          fcm_mark_visit ($cm_path . "/" . $cm_file, CM_HITTYPE_FILE);
        }
        header("Content-type: " . $cm_mimetype);
        header("Content-disposition: $cm_inline; filename=$cm_file");
        //header("Content-Length: " . $cm_file_length);
        //header ("Cache-control: private");
        //header ("Cache-Control: must-revalidate, post-check=0,pre-check=0");
        header ("Pragma: no-store");
        //header ("Pragma: private");
        //header ("Pragma: public");
        if ($cm_timecache1 > 0) {
          header("Cache-Control: must-revalidate");
          header("Expires: " . gmdate ("D, d M Y H:i:s", time() + ($cm_timecache1)) . " GMT");
        }
        readfile ($cm_indexpath . $cm_file);
      }
      else {
        echo $cm_html_header;
        fcm_title_nav2 ("", false, false, false, false, false, false, false);
        fcm_message ($cm_text["needaccess2view"], CM_MSGSTYLE_ERROR);
        echo $cm_html_footer;
        fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when loading file. Not enough permissions.");
      }
    }
    else {
      echo $cm_html_header;
      fcm_title_nav2 ("", false, false, false, false, false, false, false);
      fcm_message ($cm_text["dirnotfound"], CM_MSGSTYLE_ERROR);
      echo $cm_html_footer;
      fcm_add_logentry ("", $user_kurz, CM_APPLOG_ERROR, "Error when loading file. File not found.");
    }
  }
}



?>