<?php
// English language file for the Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez (mario@mariovaldez.org)
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
$cm_text["contentmanagement"] = "Content management.";
$cm_text["root"] = "Start";
$cm_text["author"] = "Author";
$cm_text["owner"] = "Owner";
$cm_text["visibleto"] = "Visible to group";
$cm_text["creation"] = "Creation date";
$cm_text["update"] = "Updated in";
$cm_text["visits"] = "Visits";
$cm_text["printablepage"] = "Printable version";
$cm_text["userpages"] = "User pages";
$cm_text["myhome"] = "My page";
$cm_text["listdirs"] = "List directories";
$cm_text["search"] = "Search";
$cm_text["stats"] = "Stats";
$cm_text["postcomment"] = "Post a comment";
$cm_text["editdoc"] = "Edit document";
$cm_text["managefiles"] = "Manage files";
$cm_text["deletedoc"] = "Delete document";
$cm_text["createdoc"] = "Create document";
$cm_text["untitled"] = "Untitled";
$cm_text["nodocsunderthis"] = "There are no additional dirs.";
$cm_text["title"] = "Title";
$cm_text["directory"] = "Directory";
$cm_text["keywords"] = "Keywords";
$cm_text["summary"] = "Summary";
$cm_text["content"] = "Content";
$cm_text["dontusehtml"] = "If HTML is disabled, use";
$cm_text["awmvariant"] = "a variant of the WikiMarkup";
$cm_text["preview"] = "Preview";
$cm_text["enablerating"] = "Enable ratings";
$cm_text["enablecomments"] = "Enable comments";
$cm_text["enablehtml"] = "Enable html code";
$cm_text["enablecontentless"] = "This is a content-less document";
$cm_text["enablepriority"] = "Label as important announce";
$cm_text["shorttitle"] = "Short title";
$cm_text["logoimage"] = "Logo image";
$cm_text["direxist_tryagain"] = "001. The specified directory already exist. Change the the directory name.";
$cm_text["needaccess2create"] = "002. You don't have permissions to create documents.";
$cm_text["doccreatedin"] = "The document has been created in";
$cm_text["errorcreatingdir"] = "003. There was an error while creating the directory";
$cm_text["deleteddocin"] = "The document has been deleted in";
$cm_text["errordeletingdir"] = "004. There was an error while deleting the directory.";
$cm_text["checkemptydir"] = "Check that the directory is empty.";
$cm_text["canceleddeletionof"] = "The deletion of the directory has been cancelled in";
$cm_text["confirmdeletionof"] = "Confirm you wish to delete the directory";
$cm_text["deletedocdir"] = "Delete document and directory";
$cm_text["dontdelete"] = "Don't delete";
$cm_text["needaccess2delete"] = "005. You don't have permissions to delete this document.";
$cm_text["invaliddir"] = "006. The specified directory is invalid.";
$cm_text["needaccess2view"] = "007. You don't have permissions to view this document.";
$cm_text["dirnotfound"] = "008. The specified directory cannot be found.";
$cm_text["savedoc"] = "Save document";
$cm_text["tryfromroot"] = "Try again from the root directory.";
$cm_text["updateddocin"] = "The document has been updated in";
$cm_text["errorcreatingimg"] = "009. Error generating the image.";
$cm_text["searchterm"] = "Search term";
$cm_text["nosearchreswith"] = "Matches not found with the terms";
$cm_text["totalvisits"] = "Total hits";
$cm_text["percent"] = "Percent";
$cm_text["sinceupdatevisits"] = "Hits since update";
$cm_text["commentfrom"] = "Comment from";
$cm_text["postedin"] = "Posted at";
$cm_text["comment"] = "Comment";
$cm_text["emptycomment"] = "Empty comment.";
$cm_text["needaccesstopost"] = "010. You don't have permissions to post your comment.";
$cm_text["confirmpostingon"] = "Confirm you wish to post your comment on";
$cm_text["cancelposting"] = "Cancel posting";
$cm_text["canceledposting"] = "Your poasting was cancelled.";
$cm_text["writingcommenton"] = "Writing comment on";
$cm_text["oncepostedcantdel"] = "After published it can't be deleted.";
$cm_text["postedcomment"] = "Your comment has been posted.";
$cm_text["postacommentabout"] = "Post a comment about this document";
$cm_text["totalcomments"] = "Comments";
$cm_text["commentsdisabled"] = "011. This document has the posting comments feature disabled.";
$cm_text["averagerating"] = "Average rating";
$cm_text["rateabout"] = "Rate this document.";
$cm_text["youalreadyposted"] = "You have already rated this document with:";
$cm_text["ratingposted"] = "Your rating has been recorded.";
$cm_text["postingrate"] = "Rating document.";
$cm_text["invalidrating"] = "012. Invalid rating value.";
$cm_text["needaccesstorate"] = "013. You don't have permissions to rate this document.";
$cm_text["ratingisdisabled"] = "030. This document has the rating feature disabled.";
$cm_text["poorrate"] = "Poor";
$cm_text["averagerate"] = "Average";
$cm_text["goodrate"] = "Excellent";
$cm_text["iconaltinfo"] = "Information";
$cm_text["iconaltwarn"] = "Warning";
$cm_text["iconalterror"] = "Error";
$cm_text["iconaltquestion"] = "Question";
$cm_text["opendir"] = "You have access.";
$cm_text["closeddir"] = "You don't have access.";
$cm_text["needaccess2edit"] = "014. You don't have permissions to edit this document.";
$cm_text["caneditdir"] = "You can edit.";
$cm_text["deletefile"] = "delete";
$cm_text["deletedfile"] = "The file has been deleted.";
$cm_text["errordelfile"] = "015. Error deleting the file.";
$cm_text["renamefile"] = "rename";
$cm_text["renamefileb"] = "Rename file";
$cm_text["renamingfile"] = "Renaming file:";
$cm_text["cancelrename"] = "Cancel";
$cm_text["renamedfile"] = "The file has been renamed.";
$cm_text["errorrenfile"] = "016. Error reneming the file.";
$cm_text["copyfile"] = "duplicate";
$cm_text["copyfileb"] = "Create copy";
$cm_text["copyingfile"] = "Duplicating file:";
$cm_text["cancelcopy"] = "Cancel";
$cm_text["copiedfile"] = "The file has been duplicated.";
$cm_text["errorcpfile"] = "017. Error duplicating the file.";
$cm_text["copypreffix"] = "copy_of_";
$cm_text["gzipfile"] = "gzip";
$cm_text["gzipedfile"] = "The file has been compressed.";
$cm_text["errorgzfile"] = "018. Error compressing the file.";
$cm_text["gunzipfile"] = "ungzip";
$cm_text["gunzipedfile"] = "The file has been decompressed.";
$cm_text["errorguzfile"] = "019. Error decompressing the file.";
$cm_text["uploadfile"] = "Upload file";
$cm_text["uploadedfile"] = "File uploaded.";
$cm_text["errorupfile"] = "020. Error uploading file.";
$cm_text["uploadlimit"] = "File upload size limit:";
$cm_text["thumbnailfile"] = "Create thumbnail";
$cm_text["thumbingfile"] = "Creating thumbnail";
$cm_text["thumbfileb"] = "Create thumbnail";
$cm_text["cancelthumb"] = "Cancel";
$cm_text["thumbnewname"] = "New name:";
$cm_text["thumbsize"] = "Dimensions:";
$cm_text["thumberror"] = "021. Error creating thumbnail.";
$cm_text["disabledupload"] = "031. File uploads are disabled in this server.";
$cm_text["filename"] = "name";
$cm_text["filesize"] = "size";
$cm_text["filedate"] = "date";
$cm_text["filehits"] = "downloads";
$cm_text["unknownuser"] = "Unknown user!";
$cm_text["unknowngroup"] = "Unknown group!";
$cm_text["canusehtml"] = "If HTML is enabled, enter HTML directly";
$cm_text["openhtmleditor"] = "or use the HTML editor. (Only IE5 or higher).";
$cm_text["openhtmleditorm"] = "or use the HTML editor. (Only Mozilla 1.3 or higher).";
$cm_text["enterconsole"] = "Go to administrative console.";
$cm_text["configversionerror1"] = "022. The configuration file doesn't match the code version! (The CMS module was upgraded but it was not reconfigured).";
$cm_text["configversionerror2"] = "Please run the configuration script again.";
$cm_text["logotoobig"] = "023. The dimensions of the logo image are too large. Use a smaller image.";
$cm_text["logotooheavy"] = "024. The size in bytes of the logo image is too high. Use a smaller image.";
$cm_text["logodontexist"] = "025. The logo image don't exist in the directory of the document.";
$cm_text["logoiszero"] = "026. The logo image seems to be corrupted.";
$cm_text["showdetails"] = "Show details";
$cm_text["hidedetails"] = "Hide details";
$cm_text["showpaths"] = "Full paths";
$cm_text["showspath"] = "Short paths";
$cm_text["showtitle"] = "Long titles";
$cm_text["showstitle"] = "Short titles";
$cm_text["listdetails"] = "update | owner | viewers | ratings | comments | html | content-less | announce";
$cm_text["listreload"] = "Reload";
$cm_text["filetypedisabled"] = "File type invalid.";
$cm_text["summarynewdocs"] = "Recent documents";
$cm_text["summaryannounces"] = "Recent announces";

$cm_text["edit_notcompat"] = "201. This feature cannot be used in you browser.";
$cm_text["edit_delformatsel"] = "Erase format from selection";
$cm_text["edit_delallformat"] = "Erase all format from text";
$cm_text["edit_deleteall"] = "Erase all text";
$cm_text["edit_copy"] = "Copy selection";
$cm_text["edit_cut"] = "Cut selection";
$cm_text["edit_paste"] = "Paste";
$cm_text["edit_bold"] = "Bold";
$cm_text["edit_italics"] = "Italics";
$cm_text["edit_underline"] = "Underline";
$cm_text["edit_superscript"] = "Superscript";
$cm_text["edit_underscript"] = "Underscript";
$cm_text["edit_leftjustify"] = "Justify to left";
$cm_text["edit_rightjustify"] = "Justify to right";
$cm_text["edit_center"] = "Center text";
$cm_text["edit_indent"] = "Indent";
$cm_text["edit_deindent"] = "Unindent";
$cm_text["edit_listorder"] = "Ordered list";
$cm_text["edit_listunorder"] = "Unordered list";
$cm_text["edit_link"] = "Insert/edit link";
$cm_text["edit_image"] = "Insert/edit image";
$cm_text["edit_bar"] = "Insert horizontal line";
$cm_text["edit_update"] = "Update";
$cm_text["edit_cancel"] = "Cancel";
$cm_text["edit_update_alt"] = "Update edited content";
$cm_text["edit_cancel_alt"] = "Cancel edition";
$cm_text["edit_enterurl"] = "Enter the URL of the link:";
$cm_text["edit_eurl"] = "Will the link open a new window?";
$cm_text["edit_enterimg"] = "Enter the name of the image:";
$cm_text["edit_colorpick"] = "Text color selector";
$cm_text["edit_table"] = "Insert table";
$cm_text["edit_rows"] = "Enter the number of rows of the table:";
$cm_text["edit_cols"] = "Enter the number of columns of the table:";
$cm_text["edit_uploadedfile"] = "Image uploaded";
$cm_text["edit_errorupfile"] = "202. Error uploading image";
$cm_text["edit_uploadlimit"] = "Size limit of image:";
$cm_text["edit_uploadfile"] = "Upload image";
$cm_text["edit_uploadcancel"] = "Cancel";
$cm_text["edit_insertimg"] = "Insert image";
$cm_text["edit_uploadok"] = "Ok";
$cm_text["edit_selfont"] = "Font";
$cm_text["edit_selfontsize"] = "Size";
$cm_text["edit_selblock"] = "Section";
$cm_text["edit_blockp"] = "Normal";
$cm_text["edit_blockh1"] = "Heading 1";
$cm_text["edit_blockh2"] = "Heading 2";
$cm_text["edit_blockh3"] = "Heading 3";
$cm_text["edit_blockh4"] = "Heading 4";
$cm_text["edit_blockh5"] = "Heading 5";
$cm_text["edit_blockh6"] = "Heading 6";
$cm_text["edit_blockpre"] = "Preformatted";
$cm_text["edit_nolocalfiles"] = "Cannot insert images or link local files because the document directory don't exist yet.";

// From here, the messages are only for administrator...

$cm_text["setup-welcome"] = "Welcome. With this form you can setup the settings of the content management module.";
$cm_text["setup-welcomedb"] = "With this form you can create the tables of the CM module in the database.";
$cm_text["setup-welcomedir"] = "With this form you can create the main data directory of the CMS module.";
$cm_text["setup-currentuser"] = "Your current user identification is";
$cm_text["setup-superuseris"] = "The superuser identification is";
$cm_text["setup-cannotread"] = "Config file doesn't exist or cannot be read.";
$cm_text["setup-loadingdefs"] = "Loading default values.";
$cm_text["setup-curvalue"] = "Current";
$cm_text["setup-defvalue"] = "Default";
$cm_text["setup-explanation"] = "Explanation";
$cm_text["setup-superuser"] = "Who can change this config.  (Usually you will want this user to be root, its identifier in recent versions of phprojekt is root1).";
$cm_text["setup-mainroot"] = "Directory for the main content.";
$cm_text["setup-remoteroot"] = "Main content directory is a Windows share (//server/share/directory).";
$cm_text["setup-show_rootinnav"] = "First-level directories will appear in navigation (not recommended if you use the default phprojekt code).";
$cm_text["setup-enable_htmledit"] = "Enable HTML code in the content of pages.";
$cm_text["setup-enable_visedit"] = "Enable the HTML WYSIWYG editor.";
$cm_text["setup-enable_platfonts"] = "Enable selection of platform-dependant fonts in HTML WYSIWYG editor.";
$cm_text["setup-enable_cleanhtml"] = "Clean up the HTML code generated by the HTML WYSIWYG editor. CURRENTLY NOT WORKING.";
$cm_text["setup-enable_verifylogo"] = "Verify the size of the logo images of documents.";
$cm_text["setup-historical_ratings"] = "Old ratings are always shown even if current page settings disallow ratings.";
$cm_text["setup-historical_comments"] = "Old comments are always shown even if current page settings disallow comments.";
$cm_text["setup-comments_chronorder"] = "Comments are displayed in chronological order (older first).";
$cm_text["setup-can_rerate"] = "Users can change their rating on a document.";
$cm_text["setup-enable_gd"] = "Enable the use of the graphic functions from the GD library. If unsure, set to YES and test.";
$cm_text["setup-jpeg_truecolors"] = "Use truecolor functions of the GD 2.0 library.";
$cm_text["setup-jpeg_quality"] = "JPEG generation quality (recommended values are between 60 and 80).";
$cm_text["setup-jpegprefix_file"] = "Thumbnail image file prefix.";
$cm_text["setup-jpeg_size"] = "Thumbnail dimensions.";
$cm_text["setup-album_cols"] = "Pictures per row in albums.";
$cm_text["setup-jpeg_prettynames"] = "Don't show extension and non-alphanumeric characters of thumbnail filenames.";
$cm_text["setup-show_thumbsinlisting"] = "Show thumbnails files in file listings.";
$cm_text["setup-dirs_inlisting"] = "Show directories in file listings.";
$cm_text["setup-home_maxleafs"] = "Max number of documents to list in homepage.";
$cm_text["setup-home_minleafs"] = "Min number of documents to list in homepage.";
$cm_text["setup-home_oldestleafallowed"] = "How old can the documents in homepage be.";
$cm_text["setup-sum_oldestleafallowed"] = "How old can the documents in the summary be.";
$cm_text["setup-max_statlist"] = "Max number of documents to report in stats.";
$cm_text["setup-max_usercomments"] = "Max number of user comments to show.";
$cm_text["setup-resethits_aftercomment"] = "Should since-update hits counter be reset when a user post a comment?";
$cm_text["setup-max_searchres"] = "Max number of results from search to show.";
$cm_text["setup-default_skin"] = "What CMS skin to use if a Phprojekt skin is not selected or is not available.";
$cm_text["setup-force_skin"] = "Force CMS skin even if Phprojekt skin is different.";
$cm_text["setup-convert_emoticons"] = "Convert emoticons in page content and user comments.";
$cm_text["setup-images_controlsize"] = "Dimensions for controls images.";
$cm_text["setup-images_setupsize"] = "Dimensions for setup images.";
$cm_text["setup-images_messagesize"] = "Dimensions for messages and dialogs images.";
$cm_text["setup-images_emoticonsize"] = "Dimensions for emoticons images.";
$cm_text["setup-images_filelistsize"] = "Dimensions for file listing images.";
$cm_text["setup-images_dirlistsize"] = "Dimensions for directory listing images.";
$cm_text["setup-images_doclogosize"] = "Dimensions for logos of documents (images for article listings).";
$cm_text["setup-setup"] = "Create config file.";
$cm_text["setup-cancel"] = "Cancel creation of config file.";
$cm_text["setup-setupdone"] = "Config file created.";
$cm_text["setup-canceled"] = "Configuration canceled.";
$cm_text["setup-fileerror"] = "100. Configuration file cannot be created.";
$cm_text["setup-retry"] = "Restart configuration";
$cm_text["setup-createdb"] = "Create database tables.";
$cm_text["setup-createdir"] = "Create directory for the main content.";
$cm_text["setup-gotohome"] = "Go to your Phprojekt homepage.";
$cm_text["setup-gotocmhome"] = "Go to the Content Management module homepage.";
$cm_text["setup-editsec"] = "Edit the permissions matrix of the Content Management module.";
$cm_text["setup-nosuperuser"] = "101. You cannot change the configuration. Only the set user can change the settings.";
$cm_text["setup-nosuperuserdb"] = "102. You cannot create the tables. Only the set user can create the database tables.";
$cm_text["setup-createddir"] = "The main content directory has been created.";
$cm_text["setup-creatingdir"] = "Creating main content directory.";
$cm_text["setup-cannotcreatedir"] = "103. The main content directory cannot be created. Please note that the parent directory must be writeable by the web server user (usually the user nobody).";
$cm_text["setup-direxists"] = "104. Cannot create directory. The main content directory you defined already exists.";
$cm_text["setup-return"] = "Return...";
$cm_text["setup-creatingdb"] = "Creating database tables...";
$cm_text["setup-yes"] = "Yes";
$cm_text["setup-no"] = "No";
$cm_text["setup-phpinfo"] = "Show information on the current PHP setup (in new window).";
$cm_text["setup-text_icons"] = "Disable navigation icons (use only text).";
$cm_text["setup-enable_pngfix"] = "Enable the transparency of icons when using Internet Explorer as client. (It may crash IE on some computers).";
$cm_text["setup-enable_dbprefix"] = "Use Phprojekt table prefix with the CMS database tables.";

$cm_text["synd-addsynd"] = "Add syndicated newsfeed";
$cm_text["synd-delsynd"] = "Delete syndicated newsfeed";
$cm_text["synd-editsynd"] = "Edit syndicated newsfeed";
$cm_text["synd-title"] = "Title (must be unique)";
$cm_text["synd-url"] = "URL";
$cm_text["synd-savesynd"] = "Save newsfeed data";
$cm_text["synd-cancelsynd"] = "Cancel";
$cm_text["synd-ttl"] = "Time before updating (minutes)";
$cm_text["synd-autodl"] = "Download in syndl.php";
$cm_text["synd-showinhome"] = "Show in main page";
$cm_text["synd-maxitems"] = "Max items to show";
$cm_text["synd-deletedsynd"] = "Syndication newsfeed deleted.";
$cm_text["synd-selectasynd"] = "Select a syndication newsfeed to modify.";
$cm_text["synd-editedsynd"] = "Syndication newsfeed modified.";
$cm_text["synd-addedsynd"] = "Syndication newsfeed added.";
$cm_text["synd-welcome"] = "Welcome. With this form you can manage the syndication newsfeeds of the content management module.";
$cm_text["synd-nosuperuser"] = "105. You cannot change syndication newsfeeds. Only the set user can change them.";
$cm_text["synd-moresynd"] = "Where to find more newsfeeds.";

$cm_text["rtsec-welcomert"] = "Welcome. With this form you can setup the permissions of the content management module.";
$cm_text["rtsec-welcomert2"] = "To grant permission on an item, check the selection box; to deny permission, uncheck the selection box.";
$cm_text["rtsec-impossibleops"] = "Operations shaded with red are not possible even if enabled here.";
$cm_text["rtsec-nosuperuserrt"] = "106. You cannot change the restriction matrix. Only the set user can change the permissions matrix.";
$cm_text["rtsec-rtsec_restored"] = "Restrictions matrix restored to default values.";
$cm_text["rtsec-rtsec_saved"] = "Restrictions matrix saved.";
$cm_text["rtsec-current_rtsec"] = "Current restriction matrix loaded.";
$cm_text["rtsec-inrootdir"] = "In the root directory";
$cm_text["rtsec-ifuseris"] = "if user is... then it can...";
$cm_text["rtsec-cancreate"] = "can create subdirs";
$cm_text["rtsec-candelete"] = "can delete this dir";
$cm_text["rtsec-candisplay"] = "can display/print";
$cm_text["rtsec-canedit"] = "can edit content";
$cm_text["rtsec-canpost"] = "can post comment";
$cm_text["rtsec-isuperuser"] = "Is superuser";
$cm_text["rtsec-isowner"] = "Is owner";
$cm_text["rtsec-isadmingroup"] = "Is admin and is in viewer group";
$cm_text["rtsec-isingroup"] = "Is user in viewer group";
$cm_text["rtsec-isadmin"] = "Is an admin";
$cm_text["rtsec-inanysdir"] = "In any other subdirectory";
$cm_text["rtsec-savetable"] = "Save restriction matrix";
$cm_text["rtsec-restoretable"] = "Restore default values";
$cm_text["rtsec-default"] = "Has no special role";

$cm_text["check-welcome"] = "Welcome. From here you can verify the integrity of the information in the content database.";
$cm_text["check-ok"] = "Good.";
$cm_text["check-nosuperuser"] = "107. You cannot run the verification. Only the set user can verify the tables.";
$cm_text["check-chkcontent"] = "Verifying content table...";
$cm_text["check-chkhits"] = "Verifying hits table...";
$cm_text["check-chkcomments"] = "Verifying comments table...";
$cm_text["check-chkratings"] = "Verifying ratings table...";
$cm_text["check-record"] = "Record";
$cm_text["check-nodir"] = "The directory doesn't exist.";
$cm_text["check-noparentdir"] = "The parent directory doesn't exist.";
$cm_text["check-invalidparent"] = "The parent directory is invalid.";
$cm_text["check-noauthor"] = "The author doesn't exist.";
$cm_text["check-noowner"] = "The owner doesn't exist.";
$cm_text["check-noviewer"] = "The group which can view the page doesn't exist.";
$cm_text["check-noviewerdef"] = "Undefined viewer group for this page.";
$cm_text["check-nopage"] = "Orphan hit record. The page doesn't exist.";

$cm_text["applog-id"] = "#";
$cm_text["applog-date"] = "Date";
$cm_text["applog-operation"] = "Operation";
$cm_text["applog-user"] = "User";
$cm_text["applog-directory"] = "Directory";
$cm_text["applog-description"] = "Description";
$cm_text["applog-welcome"] = "Welcome. With this form you can view the records in the applog.";
$cm_text["applog-nosuperuser"] = "110. You cannot view the applog. Only the set user can view the applog.";

$cm_text["console-welcome"] = "From this page you can execute several admnistrative tasks.";
$cm_text["console-nosuperuser"] = "111. You cannot view the console. Only the set user can view the console.";
$cm_text["console-reconfigure"] = "Reconfigure the CM module.";
$cm_text["console-createdb"] = "Create database tables.";
$cm_text["console-editsec"] = "Edit security matrix.";
$cm_text["console-backupdata"] = "Backup the database.";
$cm_text["console-backuproot"] = "Backup the root directory.";
$cm_text["console-createroot"] = "Create the root directory.";
$cm_text["console-deleteroot"] = "Delete the root directory.";
$cm_text["console-viewapplog"] = "Display the application log.";
$cm_text["console-checkdata"] = "Check the consistency of the CM data.";
$cm_text["console-links"] = "Related external links.";
$cm_text["console-lcmshelpforum"] = "Get help about the CMS module.";
$cm_text["console-lcmsbugsforum"] = "Report a bug in the CMS module.";
$cm_text["console-lcmswishforum"] = "Request a feature for the CMS module.";
$cm_text["console-lcmshomepage"] = "CMS module homepage.";
$cm_text["console-lcmsfaqpage"] = "CMS module FAQ page.";
$cm_text["console-lcmsconfigpage"] = "CMS module configuration reference.";
$cm_text["console-lcmsinstallpage"] = "CMS installation directions.";
$cm_text["console-lphprojektpage"] = "Phprojekt homepage.";
$cm_text["console-lphprojektforums"] = "Phprojekt help forums.";
$cm_text["console-lcheckupdates"] = "Check for updates of the CMS module.";
$cm_text["console-syndman"] = "Edit syndication newsfeeds.";

?>