<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

session_start();
$path_pre="../";
include_once ($path_pre . "cm/cm_anon.inc.php");
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


fcm_title_nav2 ($cm_path, false, false, false, false, false, false, false);

$cm_totalvisits = "";
$cm_totaldirs = "";

$result2 = db_query("select sum(cmdb_totalhits), sum(cmdb_updatehits) from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_PAGE . "%'") or db_die();
$row2 = db_fetch_row($result2);


echo "<h3 class=\"cms\">{$cm_text["totalvisits"]}</h3>";
$result1 = db_query("select cmdb_directory, cmdb_totalhits, cmdb_type from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_totalhits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">\n";
echo "<TR><TD class=\"stat1header\" width=\"100%\">{$cm_text["directory"]}</TD><TD class=\"stat1header\">{$cm_text["visits"]}</TD><TD class=\"stat1header\">{$cm_text["percent"]}</TD></TR>\n";
$cm_currecord = 0;
while (($row1 = db_fetch_row($result1)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_totalvisits .= round ($row1[1] / ($row2[0] / 100)) . ",";
  $cm_totaldirs .= $row1[0] . ",";
  echo "<TR><TD class=\"stat1body\">";
  echo $row1[0];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo $row1[1];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo round ($row1[1] / ($row2[0] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>\n";

if ($cm_enable_gd) {
  echo "<p><a class=\"cms\" href=\"graphpie.php?values=" . substr ($cm_totalvisits, 0, -1) . "&series=" . substr ($cm_totaldirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["totalvisits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_totalvisits, 0, -1) . "&series=" . substr ($cm_totaldirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["totalvisits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


$cm_updatevisits = "";
$cm_updatedirs = "";

echo "<h3 class=\"cms\">{$cm_text["sinceupdatevisits"]}</h3>";
$result3 = db_query("select cmdb_directory, cmdb_updatehits, cmdb_type from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_PAGE . "%' order by cmdb_updatehits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">";
echo "<TR><TD class=\"stat1header\" width=\"100%\">{$cm_text["directory"]}</TD><TD class=\"stat1header\">{$cm_text["visits"]}</TD><TD class=\"stat1header\">{$cm_text["percent"]}</TD></TR>";
$cm_currecord = 0;
while (($row3 = db_fetch_row($result3)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_updatevisits .= round ($row3[1] / ($row2[1] / 100)) . ",";
  $cm_updatedirs .= $row3[0] . ",";
  echo "<TR><TD class=\"stat1body\">";
  echo $row3[0];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo $row3[1];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo round ($row3[1] / ($row2[1] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>";

if ($cm_enable_gd) {
  echo "<p><a class=\"cms\" href=\"graphpie.php?values=" . substr ($cm_updatevisits, 0, -1) . "&series=" . substr ($cm_updatedirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["sinceupdatevisits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_updatevisits, 0, -1) . "&series=" . substr ($cm_updatedirs, 0, -1) . "&size=400&title=" . urlencode ($cm_text["sinceupdatevisits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


$cm_totaldowns = "";
$cm_totalfiles = "";

$result2 = db_query("select sum(cmdb_totalhits) from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_FILE . "%'") or db_die();
$row2 = db_fetch_row($result2);

echo "<h3 class=\"cms\">{$cm_text["filehits"]}</h3>";
$result1 = db_query("select cmdb_directory, cmdb_totalhits, cmdb_type from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_FILE . "%' order by cmdb_totalhits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">\n";
echo "<TR><TD class=\"stat1header\" width=\"100%\">{$cm_text["directory"]}</TD><TD class=\"stat1header\">{$cm_text["visits"]}</TD><TD class=\"stat1header\">{$cm_text["percent"]}</TD></TR>\n";
$cm_currecord = 0;
while (($row1 = db_fetch_row($result1)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_totaldowns .= round ($row1[1] / ($row2[0] / 100)) . ",";
  $cm_totalfiles .= $row1[0] . ",";
  echo "<TR><TD class=\"stat1body\">";
  echo $row1[0];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo $row1[1];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo round ($row1[1] / ($row2[0] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>\n";

if ($cm_enable_gd) {
  echo "<p><a class=\"cms\" href=\"graphpie.php?values=" . substr ($cm_totaldowns, 0, -1) . "&series=" . substr ($cm_totalfiles, 0, -1) . "&size=400&title=" . urlencode ($cm_text["filehits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_totaldowns, 0, -1) . "&series=" . substr ($cm_totalfiles, 0, -1) . "&size=400&title=" . urlencode ($cm_text["filehits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


$cm_totalredirs = "";
$cm_totalelinks = "";

$result2 = db_query("select sum(cmdb_totalhits) from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_ELINK . "%'") or db_die();
$row2 = db_fetch_row($result2);

echo "<h3 class=\"cms\">{$cm_text["visits"]}</h3>";
$result1 = db_query("select cmdb_directory, cmdb_totalhits, cmdb_type from " . CM_DB_PREFIX . "cmhits3 where cmdb_type like '%" . CM_HITTYPE_ELINK . "%' order by cmdb_totalhits desc") or db_die();
echo "<table width=\"100%\" border=\"1\" cellspacing=\"0\" cellpadding=\"4\" align=\"center\">\n";
echo "<TR><TD class=\"stat1header\" width=\"100%\">{$cm_text["directory"]}</TD><TD class=\"stat1header\">{$cm_text["visits"]}</TD><TD class=\"stat1header\">{$cm_text["percent"]}</TD></TR>\n";
$cm_currecord = 0;
while (($row1 = db_fetch_row($result1)) && ($cm_currecord < $cm_max_statlist)) {
  $cm_totalredirs .= round ($row1[1] / ($row2[0] / 100)) . ",";
  $cm_totalelinks .= $row1[0] . ",";
  echo "<TR><TD class=\"stat1body\">";
  echo $row1[0];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo $row1[1];
  echo "</TD><TD class=\"stat1body\" align=\"center\">";
  echo round ($row1[1] / ($row2[0] / 100)) . "%";
  echo "</TD></TR>\n";
  $cm_currecord++;
}
echo "</table>\n";

if ($cm_enable_gd) {
  echo "<p><a class=\"cms\" href=\"graphpie.php?values=" . substr ($cm_totalredirs, 0, -1) . "&series=" . substr ($cm_totalelinks, 0, -1) . "&size=400&title=" . urlencode ($cm_text["visits"]) . "\"><img src=\"graphpie.php?values=" . substr ($cm_totalredirs, 0, -1) . "&series=" . substr ($cm_totalelinks, 0, -1) . "&size=400&title=" . urlencode ($cm_text["visits"]) . "\" border=\"0\" width=\"400\" height=\"400\"></a></p>\n";
}


echo $cm_html_footer;
?>

