<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.

session_start();
$file = "adm_mkroot";
$path_pre="../";
$include_path = $path_pre . "lib/lib.inc.php";
include_once $include_path;
include_once ($path_pre . "cm/cm_lib.inc.php");
fcm_load_secdb ($cm_security);
echo $cm_html_header;


if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}


if (($cm_superuser) && ($cm_superuser == $user_kurz)) {
  if ($cm_createdir) {
    if (!$cm_mainroot) {
      $cm_mainroot = "root";
    }
    echo "<p class=\"titletext\">{$cm_text["setup-creatingdir"]} $cm_mainroot</p>";
    if (file_exists ($cm_mainroot)) {
      echo "<p class=\"setuperror\">{$cm_text["setup-direxists"]}</p>";
    }
    else {
      if (@mkdir ($cm_mainroot, 0777)) {
        echo "<p class=\"titletext\">{$cm_text["setup-createddir"]}</p>";
      }
      else {
        echo "<p class=\"setuperror\">{$cm_text["setup-cannotcreatedir"]}</p>";
      }
    }
  }
  else {
    echo "
    <p class=\"titletext\">{$cm_text["setup-welcomedir"]}<br>";
  }
  echo "<hr><form class=\"cms\" action=\"adm_mkroot.php\" method=\"post\">";
  echo "<input type=\"hidden\" name=\"cmru\" value=\"$cmru\">";
  echo "<input class=\"cms\" type=\"submit\" name=\"cm_createdir\" value=\"{$cm_text["setup-createdir"]}\">";
  echo "</form>";
}
else {
  echo "<p class=\"titletext\">{$cm_text["setup-welcomedir"]}</p>";
  echo "<p class=\"generaltext\">{$cm_text["setup-currentuser"]} <strong>$user_kurz</strong><br>";
  echo "{$cm_text["setup-superuseris"]} <strong>$cm_superuser</strong></p>";
  echo "<h3 class=\"setuperror\">{$cm_text["setup-nosuperuserdb"]}</h3>";
}

if ($cmru) {
  echo "<p class=\"setupreturn\"><a class=\"cms\"href=\"" . $cmru . ".php\">{$cm_text["setup-return"]}</a></p>";
}

echo "</body></html>";
?>
