<?php
// Content Management System module for PHProjekt (CMS4P).
// Copyright 2002, 2003, 2004 by Mario A. Valdez-Ramirez
// http://www.mariovaldez.net/

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.

// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, 
// Boston, MA 02111-1307, USA.

// You can contact Mario A. Valdez-Ramirez by email 
// at mario@mariovaldez.org or paper mail at 
// Olmos 809, San Nicolas, NL. 66495, Mexico.


// tdwidth, terminfarbe, bgcolor1, bgcolor2 and tr_hover
// are Phprojekt configuration variables.


include_once ($path_pre . "cm/cm_lib.inc.php");
if (!$tdwidth) { $cm_tdwidth = (600 + 12); } else { $cm_tdwidth = (($tdwidth * 2) + 12); }
if ($tr_hover) { $cm_hover = $terminfarbe; } else { $cm_hover = ""; }


$cm_nodocs = true;
$result2 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_type from " . CM_DB_PREFIX . "content3 where cmdb_parentdir like '/%' and cmdb_type like '%" . CM_HITTYPE_ANNOUNCE . "%' " . fcm_access_sqldef ($user_kurz) . " order by cmdb_date_update desc") or db_die();
while ($row2 = db_fetch_row($result2)) {
  if ($cm_nodocs) {
    echo "<table cellpadding=\"3\" cellspacing=\"1\" border=\"1\"><tr><td>";
    echo "<strong>{$cm_text["summaryannounces"]}</strong>";
    $cm_nodocs = false;
  }
  fcm_articlelist_nostyle ($row2[1], $row2[0], $row2[3], $row2[4], fcm_is_cleditable ($row2[1], $user_kurz, $row2[5]), true, $cm_tdwidth, $terminfarbe, "");
}
if (!$cm_nodocs) {
  echo "</td></tr></table>";
}


$cm_nodocs = true;
$cm_rowcolor = $bgcolor1;
$result2 = db_query("select cmdb_title, cmdb_directory, cmdb_parentdir, cmdb_abstract, cmdb_date_update, cmdb_type from " . CM_DB_PREFIX . "content3 where cmdb_directory like '/%' and cmdb_type like '%" . CM_HITTYPE_PAGE . "%' and cmdb_type not like '%" . CM_HITTYPE_ANNOUNCE . "%' " . fcm_access_sqldef ($user_kurz) . " order by cmdb_date_update desc") or db_die();
while ($row2 = db_fetch_row($result2)) {
  if (fcm_diffdate_days ($row2[4]) < $cm_sum_oldestleafallowed) {
    if ($cm_nodocs) {
      echo "<table cellpadding=\"3\" cellspacing=\"1\" border=\"1\"><tr><td>";
      echo "<strong>{$cm_text["summarynewdocs"]}</strong>";
      $cm_nodocs = false;
    }
    fcm_articlelist_nostyle ($row2[1], $row2[0], $row2[3], $row2[4], fcm_is_cleditable ($row2[1], $user_kurz, $row2[5]), false, $cm_tdwidth, $cm_rowcolor, $cm_hover);
    if ($cm_rowcolor == $bgcolor1) { $cm_rowcolor = $bgcolor2; } else { $cm_rowcolor = $bgcolor1; }
  }
}
if (!$cm_nodocs) {
  echo "</td></tr></table>";
}

?>
